$gameResults-border-radius: 10px;

.gameResults {
  border-radius: $gameResults-border-radius;

  &-win {
    border: 1px solid #7b7b7b;
    .gameResults_inner-amount {
      color: #3ead05;
      text-shadow: 0px 0px 20px #3ead05;
    }
  }
  &-lose {
    border: 2px solid rgb(210, 54, 54);
    .gameResults_inner-amount {
      color: rgb(210, 54, 54);
      text-shadow: 0px 0px 20px rgb(210, 54, 54);
    }
  }
  &_wrapper {
    position: fixed;
    top: 0px;
    bottom: 0px;
    left: 0px;
    right: 0px;
    padding-top: 95px;
    background-color: rgba($secondaryColor, .9);
    z-index: 10;
    display: flex;
    align-items: center;
    justify-content: center;
    text-transform: uppercase;
  }
  &_inner {
    height: 320px;
    width: 300px;
    margin: auto;
    background-color: $primaryColor-light;
    border-bottom-left-radius: $gameResults-border-radius;
    border-bottom-right-radius: $gameResults-border-radius;
    display: flex;
    align-items: center;
    flex-direction: column;
    &-amount {
      font-size: 2rem;
      padding: $paddingMedium 0px;
      &-num {
        font-weight: bold;
      }
    }
    &-img {
      max-width: 100%;
      max-height: 160px;
      margin-bottom: $marginDefault;
    }
  }
  &_header {
    display: flex;
    justify-content: center;
    position: relative;
    background-color: $darkCommonColor;
    padding: $paddingMedium;
    color: rgb(255, 255, 255);
    border-top-left-radius: $gameResults-border-radius;
    border-top-right-radius: $gameResults-border-radius;
    &-winNumber {
      width: $myBets-number-size;
      height: $myBets-number-size;
      margin: auto;
      border-radius: 20px;
      font-size: 2rem;
      display: flex;
      justify-content: center;
      align-items: center;
      position: absolute;
      top: -$myBets-number-size + 10;
      box-shadow: 0px 20px 20px 5px rgba(0, 0, 0, 0.5);
      color: $darkCommonColor;
      font-weight: bold;
      &-win {
        background-color: rgb(54, 210, 83);
      }
      &-lose {
        background-color: #d23636;
        color: #FFFFFF;
      }
    }
  }
  &-close {
    position: absolute;
    right: $marginDefault;
    top: $marginDefault;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 30px;
    height: 30px;
    border-radius: 6px;
    background-color: #222b3e;
    box-shadow: 2px 5px 14px 4px #111926;
    color: #ffffff;
  }
}
